## net.i2p.router.transport.tcp
Class ConnectionRunner

    java.lang.Object
      net.i2p.router.transport.tcp.ConnectionRunner

All Implemented Interfaces:
  java.lang.Runnable

     class ConnectionRunner

extends java.lang.Object
implements java.lang.Runnable

Push out I2NPMessages across the wire

Field Summary
`(package private) static int` `DISCONNECT_INACTIVITY_PERIOD` if we don't send them any real data in a 10 minute period, drop 'em

Constructor Summary
`ConnectionRunner(RouterContext ctx, TCPConnection con)`

Method Summary
`void` `run()`
`void` `startRunning()`
`void` `stopRunning()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISCONNECT_INACTIVITY_PERIOD

    static final int DISCONNECT_INACTIVITY_PERIOD

  if we don't send them any real data in a 10 minute period, drop 'em

  See Also:
    Constant Field Values

Constructor Detail

### ConnectionRunner

    public ConnectionRunner(RouterContext ctx,
                            TCPConnection con)

Method Detail

### startRunning

    public void startRunning()

### stopRunning

    public void stopRunning()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`